<div class="col-6 offset-3 mt-4 login-container">
<h2>{{title}}</h2>

<div class="alert alert-success" role="alert" *ngIf="identity && identity.sub">
	¡Te has logueado correctamente {{identity.email}}!
</div>
<div class="alert alert-danger" *ngIf="identity && identity.data">
	{{identity.data}}
</div>

<form #loginForm="ngForm" (ngSubmit)="onSubmit()">
	<label for="email" class="mt-1">Email:</label>
	<input id="email" type="email" class="form-control" name="email" #email="ngModel" [(ngModel)]="user.email" required />
	<p class="mt-3">
	<span *ngIf="!email.valid && email.touched" class="alert alert-danger">EL email no es válido</span>
	</p>
	<br>
	<label for="pass" class="mt-1">Password</label>
	<input type="password" id="pass" name="password" class="form-control" #password="ngModel" [(ngModel)]="user.password" required />
	<span ng-if="!password.valid && password.touched "></span>
	<input type="submit" value="Entrar" [disabled]="loginForm.form.invalid" class="btn btn-lg btn-success mt-4">
</form>

</div>